%if %suse_version < 1030
%define gnome_libdir /opt/gnome/%{_lib}
%define gnome_mimedir /opt/gnome/share/mime
%else
%define gnome_libdir %{_libdir}
%define gnome_mimedir %{_datadir}/mime
%endif

Name:			phatch
Version:		0.2.7.1
Release:		8.1
Summary:		Manipulate Thousands of Photos with one Click
Source:			phatch-%{version}.tar.gz
URL:			http://photobatch.stani.be/
Group:			Productivity/Graphics/Convertors
License:		GNU General Public License v3 (GPL v3)
Source1:		phatch.desktop
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:		python python-devel python-wxGTK python-gtk
BuildRequires:		autoconf automake libtool update-desktop-files
Requires:		python-imaging
Requires:               python-wxGTK
Requires:		findutils findutils-locate
%py_requires
Distribution:           education

%description
Phatch is an easy-to-use GUI photo batch processor which handles all
popular image formats and can handle (sub)folder hierarchies. It provides
many features, such as resize, rotate, rename, shadows, watermarks, rounded
corners, masks, perspective, and more.


Authors:
--------
%package nautilus
Summary:		Nautilus Integration for %{name}
Group:			Productivity/Graphics/Convertors
Requires:		nautilus
Requires:		%{name} = %{version}-%{release}

%description nautilus
This package provides %{name} integration into Nautilus, the file manager
of the GNOME desktop.

%prep

%setup -q -n phatch-0.2.7
mkdir -p %{buildroot}
cp -r * %{buildroot}

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}"
install -m 644 %{SOURCE1} %{buildroot}/usr/share/applications

%files
%defattr(-,root,root)
/usr/share/man/man1/phatch.1.gz
/usr/bin/phatch
/usr/share/phatch
/usr/lib/python2.6/site-packages/phatch
/usr/share/applications/phatch.desktop
/usr/share/icons/hicolor/48x48/apps/phatch.png
/usr/share/icons/hicolor/scalable/apps/phatch.svg
/usr/share/locale/ar/LC_MESSAGES/phatch.mo
/usr/share/locale/bg/LC_MESSAGES/phatch.mo
/usr/share/locale/ca/LC_MESSAGES/phatch.mo
/usr/share/locale/cs/LC_MESSAGES/phatch.mo
/usr/share/locale/da/LC_MESSAGES/phatch.mo
/usr/share/locale/de/LC_MESSAGES/phatch.mo
/usr/share/locale/el/LC_MESSAGES/phatch.mo
/usr/share/locale/en/LC_MESSAGES/phatch.mo
/usr/share/locale/en_GB/LC_MESSAGES/phatch.mo
/usr/share/locale/es/LC_MESSAGES/phatch.mo
/usr/share/locale/fa/LC_MESSAGES/phatch.mo
/usr/share/locale/fi/LC_MESSAGES/phatch.mo
/usr/share/locale/fil/LC_MESSAGES/phatch.mo
/usr/share/locale/fr/LC_MESSAGES/phatch.mo
/usr/share/locale/fy/LC_MESSAGES/phatch.mo
/usr/share/locale/ga/LC_MESSAGES/phatch.mo
/usr/share/locale/gl/LC_MESSAGES/phatch.mo
/usr/share/locale/he/LC_MESSAGES/phatch.mo
/usr/share/locale/hr/LC_MESSAGES/phatch.mo
/usr/share/locale/hu/LC_MESSAGES/phatch.mo
/usr/share/locale/hy/LC_MESSAGES/phatch.mo
/usr/share/locale/it/LC_MESSAGES/phatch.mo
/usr/share/locale/ja/LC_MESSAGES/phatch.mo
/usr/share/locale/ka/LC_MESSAGES/phatch.mo
/usr/share/locale/ms/LC_MESSAGES/phatch.mo
/usr/share/locale/nb/LC_MESSAGES/phatch.mo
/usr/share/locale/nl/LC_MESSAGES/phatch.mo
/usr/share/locale/pl/LC_MESSAGES/phatch.mo
/usr/share/locale/pt/LC_MESSAGES/phatch.mo
/usr/share/locale/pt_BR/LC_MESSAGES/phatch.mo
/usr/share/locale/ro/LC_MESSAGES/phatch.mo
/usr/share/locale/ru/LC_MESSAGES/phatch.mo
/usr/share/locale/sk/LC_MESSAGES/phatch.mo
/usr/share/locale/sl/LC_MESSAGES/phatch.mo
/usr/share/locale/sr/LC_MESSAGES/phatch.mo
/usr/share/locale/sv/LC_MESSAGES/phatch.mo
/usr/share/locale/tl/LC_MESSAGES/phatch.mo
/usr/share/locale/tr/LC_MESSAGES/phatch.mo
/usr/share/locale/uk/LC_MESSAGES/phatch.mo
/usr/share/locale/zh_CN/LC_MESSAGES/phatch.mo
/usr/share/locale/zh_TW/LC_MESSAGES/phatch.mo
/usr/share/mime/packages/phatch.xml
/usr/share/pixmaps/phatch.png
/usr/share/pixmaps/phatch-inspector.png
/usr/lib/python2.6/site-packages/Phatch-0.2.7-py2.6.egg-info
/usr/share/applications/phatch-inspector.desktop
/usr/share/icons/hicolor/128x128/apps/phatch-actionlist.png
/usr/share/icons/hicolor/128x128/apps/phatch-inspector.png
/usr/share/icons/hicolor/128x128/apps/phatch.png
/usr/share/icons/hicolor/16x16/apps/phatch-inspector.png
/usr/share/icons/hicolor/16x16/apps/phatch.png
/usr/share/icons/hicolor/192x192/apps/phatch-inspector.png
/usr/share/icons/hicolor/192x192/apps/phatch.png
/usr/share/icons/hicolor/24x24/apps/phatch-actionlist.png
/usr/share/icons/hicolor/24x24/apps/phatch-inspector.png
/usr/share/icons/hicolor/24x24/apps/phatch.png
/usr/share/icons/hicolor/256x256/apps/phatch-inspector.png
/usr/share/icons/hicolor/256x256/apps/phatch.png
/usr/share/icons/hicolor/32x32/apps/phatch-inspector.png
/usr/share/icons/hicolor/32x32/apps/phatch.png
/usr/share/icons/hicolor/48x48/apps/phatch-actionlist.png
/usr/share/icons/hicolor/48x48/apps/phatch-inspector.png
/usr/share/icons/hicolor/64x64/apps/phatch-actionlist.png
/usr/share/icons/hicolor/64x64/apps/phatch-inspector.png
/usr/share/icons/hicolor/64x64/apps/phatch.png
/usr/share/icons/hicolor/96x96/apps/phatch-inspector-96high.png
/usr/share/icons/hicolor/96x96/apps/phatch-inspector.png
/usr/share/icons/hicolor/96x96/apps/phatch.png
/usr/share/icons/hicolor/scalable/apps/phatch-actionlist.svg
/usr/share/icons/hicolor/scalable/apps/phatch-inspector.svg
/usr/share/locale/be/LC_MESSAGES/phatch.mo
/usr/share/locale/bs/LC_MESSAGES/phatch.mo
/usr/share/locale/eo/LC_MESSAGES/phatch.mo
/usr/share/locale/eu/LC_MESSAGES/phatch.mo
/usr/share/locale/hi/LC_MESSAGES/phatch.mo
/usr/share/locale/id/LC_MESSAGES/phatch.mo
/usr/share/locale/ko/LC_MESSAGES/phatch.mo
/usr/share/locale/pa/LC_MESSAGES/phatch.mo
/usr/share/locale/te/LC_MESSAGES/phatch.mo

%changelog
* Tue Oct 5 2010 David Lara <dlara@espherica.com> - 0.2.7.1
- Updated to version 0.2.7.1
- Rebuild for Linkat 4
* Mon May 18 2009 David Lara <dlara@espherica.com>
- Rebuild for Linkat 3
* Wed Nov 26 2008 Javier Ortega <jom@nextret.net>
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
